Subject: Re: Echinacea

From: [email-masked] (Carl Mork)
Date: Sat, 14 Jan 1995 23:51:00 -0800

-=> Quoting Norbert Hoffmann to All <=-

 >   I have a basic question about Echinacea preparations.  I have read
 >articles stating that Echinacea taken orally does little to boost the
 >immune system; that Echinacea must be injected to confer any benefit.  The
 >article was written in Europe, where it is my understanding that many
 >physicians prescribe Echinacea injections for their patients.

 NH> My German references (monographs of the German Federal Commission E,
 NH> for one) mention oral use as well as injections. Both are considered
 NH> effective.  Most of the Echinacea preparations available in Germany,
 NH> for example, are  for oral consumption. They come in all forms from
 NH> extracts to lozenges. 
 NH> Norbert Hoffmann
     Personally, I use it as the base for my herbal teas.

... Do not annoy the SysOp! Keep your hands away from the cage.